Debian Bug report logs - #51875
mawk: should check for dev/full

version graph

Package: mawk; Maintainer for mawk is Steve Langasek <vorlon@debian.org>; Source for mawk is src:mawk.

Reported by: Marcus.Brinkmann@ruhr-uni-bochum.de

Date: Fri, 3 Dec 1999 21:33:08 UTC

Severity: normal

Found in version 1.3.3-2

Fixed in version mawk/1.3.3-10

Done: James Troup <james@nocrew.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup <awkmaint@nocrew.org>:
Bug#51875; Package mawk. Full text and rfc822 format available.

Acknowledgement sent to Marcus.Brinkmann@ruhr-uni-bochum.de:
New Bug report received and forwarded. Copy sent to James Troup <awkmaint@nocrew.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcus.Brinkmann@ruhr-uni-bochum.de
To: submit@bugs.debian.org
Subject: mawk: should check for dev/full
Date: Fri, 03 Dec 1999 22:47:12 +0100
Package: mawk
Version: 1.3.3-2
Severity: normal

Hi James,

in test/mawktest,please check for /dev/null before the write error check.
Not all unixish systems seem to have /dev/full, and the test fails if it
does not exist and is run by root.

One such system is the Hurd currently. Although the next hurd package will
be able to provide /dev/full, I think it is good to make it conditional.

Thanks,
Marcus

-- System Information
Debian Release: potato
Kernel Version: Linux ulysses 2.2.12 #7 Mon Sep 27 01:09:52 CEST 1999 i586 unknown

Versions of the packages mawk depends on:
hi  libc6           2.1.2-0pre11   GNU C Library: Shared libraries and timezone


Reply sent to James Troup <james@nocrew.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marcus.Brinkmann@ruhr-uni-bochum.de:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 51875-close@bugs.debian.org (full text, mbox):

From: James Troup <james@nocrew.org>
To: 51875-close@bugs.debian.org
Subject: Bug#51875: fixed in mawk 1.3.3-10
Date: Thu, 24 Apr 2003 22:17:27 -0400
We believe that the bug you reported is fixed in the latest version of
mawk, which is due to be installed in the Debian FTP archive:

mawk_1.3.3-10.diff.gz
  to pool/main/m/mawk/mawk_1.3.3-10.diff.gz
mawk_1.3.3-10.dsc
  to pool/main/m/mawk/mawk_1.3.3-10.dsc
mawk_1.3.3-10_i386.deb
  to pool/main/m/mawk/mawk_1.3.3-10_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 51875@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James Troup <james@nocrew.org> (supplier of updated mawk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 10 Apr 2003 02:22:27 +0100
Source: mawk
Binary: mawk
Architecture: source i386
Version: 1.3.3-10
Distribution: unstable
Urgency: low
Maintainer: James Troup <james@nocrew.org>
Changed-By: James Troup <james@nocrew.org>
Description: 
 mawk       - a pattern scanning and text processing language
Closes: 51875 170973
Changes: 
 mawk (1.3.3-10) unstable; urgency=low
 .
   * Move to dpatch; existing non-debian/ changes split into
     01_error-on-full-fs, 02_fix-examples, 03_read-and-close-redefinition,
     04_mawk.1-fix-pi and 05_-Wall-fixes.
   * debian/rules: include /usr/share/dpatch/dpatch.make.
   * debian/rules (build): depend on patch-stamp.
   * debian/rules (clean): depend on unpatch.  Remove debian/patched.
   * debian/control (Build-Depends): add dpatch.
 .
   * debian/rules: update copyright and use install_foo convenience
     variables.
   * debian/copyright: update copyright.
 .
   * debian/control (Standards-Version): bump to 3.5.9.0.
   * debian/postinst, debian/prerm: no longer do /usr/doc symlinks.
 .
   * debian/prerm: use set -e rather than #!/bin/sh -e.
 .
   * 06_parse.y-semicolons.dpatch: new patch to fix missing semi-colons
     that upset recent versions of bison.  Thanks to Paul Eggert
     <eggert@twinsun.com>.  Closes: #170973
   * debian/control (Build-Depends): add bison.
   * debian/rules (clean): remove parse.c and parse.h so they're not
     included in the .diff.gz.
 .
   * 07_mawktest-check-devfull: new patch to conditionalize the write error
     tests on the existence of /dev/full since apparently some systems
     don't have it.  Requested by Marcus.Brinkmann@ruhr-uni-bochum.de.
     Closes: #51875
 .
   * debian/postinst: demote mawk to priority 5 so that gawk will be
     selected by default.  [mawk isn't being actively maintained upstream
     and has both long-standing bugs and isn't feature-complete WRT POSIX
     at least.]
Files: 
 272871e95d66ca927bc6ecddfe87115a 552 base required mawk_1.3.3-10.dsc
 c9d7508ed9e54c94b88c67cb796d3d4c 16069 base required mawk_1.3.3-10.diff.gz
 022631116a2f49e803d2f587672e91f7 76912 base required mawk_1.3.3-10_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)

iEYEARECAAYFAj6Ux2UACgkQgD/uEicUG7CgyQCgh51G3NbXW29jr3ucv7+150bY
t1AAoIKPP6IKSbNWZvpsxoPV61EeIz3Q
=C87/
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:33:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.